Package org.eclipse.cdt.utils

## Class WindowsRegistry

- java.lang.Object
- - org.eclipse.cdt.utils.WindowsRegistry

    public abstract class WindowsRegistry
    extends Object

Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`protected` `WindowsRegistry()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract String` `getCurrentUserKeyName​(String subkey, int index)` Given a subkey of HKEY_CURRENT_USER, and an index (starting from 0) to the key's array of sub keys, return the name of the indexed key.
`abstract String` `getCurrentUserValue​(String subkey, String name)` Gets the registry value for the subkey of HKEY_CURRENT_USER with the given name.
`abstract String` `getCurrentUserValueName​(String subkey, int index)` Given a subkey of HKEY_CURRENT_USER, and an index (starting from 0) to the key's array of values, return the name of the indexed value.
`abstract Map<String,​Object>` `getCurrentUserValues​(String subkey)` Given a subkey of HKEY_CURRENT_USER, return the map of valueName => value.
`abstract String` `getLocalMachineKeyName​(String subkey, int index)` Given a subkey of HKEY_LOCAL_MACHINE, and an index (starting from 0) to the key's array of sub keys, return the name of the indexed key.
`abstract String` `getLocalMachineValue​(String subkey, String name)` Gets the registry value for the subkey of HKEY_LOCAL_MACHINE with the given name.
`abstract String` `getLocalMachineValueName​(String subkey, int index)` Given a subkey of HKEY_LOCAL_MACHINE, and an index (starting from 0) to the key's array of values, return the name of the indexed value.
`abstract Map<String,​Object>` `getLocalMachineValues​(String subkey)` Given a subkey of HKEY_LOCAL_MACHINE, return the map of valueName => value.
`static WindowsRegistry` `getRegistry()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WindowsRegistry

    protected WindowsRegistry()

Since:
  6.0

### Method Detail

#### getRegistry

    public static WindowsRegistry getRegistry()

#### getLocalMachineValue

    public abstract String getLocalMachineValue​(String subkey,
                                                String name)

Gets the registry value for the subkey of HKEY_LOCAL_MACHINE with the given name. If problems occur, like the name is not found, null is returned.

Parameters:
  `subkey` - subkey of HKEY_LOCAL_MACHINE
  `name` - name of the registry value
Returns:
  registry value or null if not found

#### getLocalMachineValues

    public abstract Map<String,​Object> getLocalMachineValues​(String subkey)

Given a subkey of HKEY_LOCAL_MACHINE, return the map of valueName => value. The return value is an empty map on error or when the subkey does not exist.

Parameters:
  `subkey` - subkey of HKEY_LOCAL_MACHINE
Returns:
  valueName => value map of the entries in subkey
Since:
  6.1

#### getLocalMachineValueName

    public abstract String getLocalMachineValueName​(String subkey,
                                                    int index)

Given a subkey of HKEY_LOCAL_MACHINE, and an index (starting from 0) to the key's array of values, return the name of the indexed value. The return value is null on any error or when the index is invalid. The value name can be used in the above getLocalMachineValue() to retrieve the value data.

Parameters:
  `subkey` - subkey of HKEY_LOCAL_MACHINE
  `index` - index to the subkey's array of values, starting from 0.
Returns:
  name of registry value or null if not found

#### getLocalMachineKeyName

    public abstract String getLocalMachineKeyName​(String subkey,
                                                  int index)

Given a subkey of HKEY_LOCAL_MACHINE, and an index (starting from 0) to the key's array of sub keys, return the name of the indexed key. The return value is null on any error or when the index is invalid. The key name can be used in the above getLocalMachineValueName() to retrieve value names.

Parameters:
  `subkey` - subkey of HKEY_LOCAL_MACHINE
  `index` - index to the subkey's array of values, starting from 0.
Returns:
  name of registry value or null if not found

#### getCurrentUserValue

    public abstract String getCurrentUserValue​(String subkey,
                                               String name)

Gets the registry value for the subkey of HKEY_CURRENT_USER with the given name. If problems occur, like the name is not found, null is returned.

Parameters:
  `subkey` - subkey of HKEY_CURRENT_USER
  `name` - name of the registry value
Returns:
  registry value or null if not found

#### getCurrentUserValues

    public abstract Map<String,​Object> getCurrentUserValues​(String subkey)

Given a subkey of HKEY_CURRENT_USER, return the map of valueName => value. The return value is an empty map on error or when the subkey does not exist.

Parameters:
  `subkey` - subkey of HKEY_CURRENT_USER
Returns:
  valueName => value map of the entries in subkey
Since:
  6.1

#### getCurrentUserValueName

    public abstract String getCurrentUserValueName​(String subkey,
                                                   int index)

Given a subkey of HKEY_CURRENT_USER, and an index (starting from 0) to the key's array of values, return the name of the indexed value. The return value is null on any error or when the index is invalid. The value name can be used in the above getCurrentUserValue() to retrieve the value data.

Parameters:
  `subkey` - subkey of HKEY_CURRENT_USER
  `index` - index to the subkey's array of values, starting from 0.
Returns:
  name of registry value or null if not found

#### getCurrentUserKeyName

    public abstract String getCurrentUserKeyName​(String subkey,
                                                 int index)

Given a subkey of HKEY_CURRENT_USER, and an index (starting from 0) to the key's array of sub keys, return the name of the indexed key. The return value is null on any error or when the index is invalid. The key name can be used in the above getCurrentUserValueName() to retrieve value names.

Parameters:
  `subkey` - subkey of HKEY_CURRENT_USER
  `index` - index to the subkey's array of values, starting from 0.
Returns:
  name of registry value or null if not found